/* =========================
   GLOBAL
========================= */

body{
    margin:0;
    padding:0;
    overflow-x:hidden;
    font-family:Arial,sans-serif;
}

html{
    scroll-behavior:smooth;
}



/* =========================
   HEADER
========================= */

.navbar{
    background:#000 !important;
    padding:10px 0;
}

.header-logo{
    height:45px;
    width:auto;
}

.brand-text{
    font-size:1.1rem;
    font-weight:700;
    line-height:1.3;
}

.brand-text small{
    font-size:0.80rem;
    font-weight:500;
    color:#dcdcdc;
}

/* MENU BUTTON STYLE */

.navbar-toggler{
    background:#0d6efd;
    border:2px solid #0d6efd;
    border-radius:10px;
    padding:6px 10px;
    box-shadow:0 0 10px rgba(13,110,253,0.4);
}

.navbar-toggler:hover{
    background:#0b5ed7;
}

.navbar-toggler-icon{
    filter: brightness(0) invert(1);
}

.nav-link{
    color:#fff !important;
    padding:8px 16px !important;
    margin-left:8px;
    border-radius:25px;
    background:rgba(255,255,255,0.08);
    transition:all .3s ease;
}

.nav-link:hover,
.nav-link.active{
    background:#0d6efd;
    color:#fff !important;
}

/* MOBILE */

@media(max-width:768px){

    .header-logo{
        height:35px;
    }

    .brand-text{
        font-size:0.95rem;
    }

    .brand-text small{
        font-size:0.70rem;
    }

    .nav-link{
        margin:5px 0;
        text-align:center;
    }
}

/*==============*/

/* =========================
   NAVBAR
========================= */

.navbar{
    background:#0b1320;
    padding:8px 0;
}

/* Main Logo */
.header-logo{
    height:50px;
    width:auto;
    object-fit:contain;
}

/* Second Logo */
.header-logo-secondary{
    height:45px;
    width:auto;
    object-fit:contain;
}

/* Company Name */
.brand-text{
    color:#fff;
    font-size:1.05rem;
    font-weight:700;
    line-height:1.2;
}

.brand-text small{
    font-size:0.75rem;
    color:#d9d9d9;
}

/* Menu Buttons */
.menu-btn{
    color:#fff !important;
    background:#1c355e;
    margin-left:8px;
    padding:8px 18px !important;
    border-radius:30px;
    transition:all 0.3s ease;
    font-size:14px;
    font-weight:500;
}

.menu-btn:hover{
    background:#0dcaf0;
    color:#000 !important;
    transform:translateY(-2px);
}

/* Mobile */
@media(max-width:768px){

    .header-logo{
        height:40px;
    }

    .brand-text{
        font-size:0.9rem;
    }

    .brand-text small{
        font-size:0.65rem;
    }

    .menu-btn{
        margin:5px 0;
        text-align:center;
    }
}
/* =========================
   HERO SECTION
========================= */

.hero{
    position:relative;
    width:100%;
    min-height:100vh;
    overflow:hidden;
    color:#fff;
}

.hero-slider{
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    z-index:1;
}

.hero-slider .carousel-inner,
.hero-slider .carousel-item{
    height:100vh;
}


.hero-bg{
    width:100%;
    height:100vh;
    object-fit:cover;
    object-position:center;
    filter:brightness(85%) contrast(110%);
}

.hero::before{
    background:linear-gradient(
        rgba(0,0,0,0.20),
        rgba(0,0,0,0.20)
    );
}


.hero-overlay{
    position:absolute;
    inset:0;
    z-index:3;

    display:flex;
    align-items:center;
    justify-content:center;
    text-align:center;
}

.hero-overlay h1{
    font-size:5rem;
    font-weight:800;
    text-transform:uppercase;
    letter-spacing:2px;
    text-shadow:0 4px 20px rgba(0,0,0,.5);
}

.hero-overlay p{
    font-size:1.4rem;
    margin-top:15px;
    margin-bottom:30px;
    text-shadow:0 2px 10px rgba(0,0,0,.5);
}

.hero-overlay .btn{
    padding:14px 40px;
    border-radius:50px;
    font-size:1.1rem;
    font-weight:600;
}

.hero-title{
    font-size:5rem;
    font-weight:600;
}

.hero-subtitle{
    font-size:0.5rem;
    max-width:900px;
    margin:auto;
}

.hero-overlay h1{
    color:#fff;
    text-shadow:2px 2px 10px rgba(0,0,0,0.6);
}

.hero-overlay p{
    color:#fff;
    text-shadow:1px 1px 8px rgba(0,0,0,0.6);
}

@media(max-width:768px){

    .hero{
        min-height:80vh;
    }

    .hero-slider .carousel-inner,
    .hero-slider .carousel-item,
    .hero-bg{
        height:80vh;
    }

    .hero-title{
        font-size:2.5rem;
    }

    .hero-subtitle{
        font-size:1rem;
        padding:0 15px;
    }
}

/* =========================
   BUTTONS
========================= */

.btn{
    border-radius:30px;
    padding:12px 30px;
    font-weight:600;
    transition:0.3s;
}

.btn:hover{
    transform:translateY(-2px);
}

/* =========================
   SECTION
========================= */

.section-padding{
    padding:80px 0;
}

section{
    scroll-margin-top:90px;
}

.section-title{
    font-weight:700;
    margin-bottom:25px;
}

/* =========================
   CARD
========================= */

.card{
    border:none;
    border-radius:15px;
    box-shadow:0 0 15px rgba(0,0,0,0.1);
    transition:0.3s;
}

.card:hover{
    transform:translateY(-5px);
}

/* =========================
   GALLERY MODAL
========================= */

#imageGalleryModal .modal-dialog{
    max-width:95%;
}

#imageGalleryModal .modal-content{
    background:#000;
    border:none;
}

#imageGalleryModal .modal-body{
    padding:0;
    background:#000;
}

#imageGalleryModal .carousel-inner{
    height:auto !important;
}

#imageGalleryModal .carousel-item{
    height:auto !important;
    text-align:center;
}

#imageGalleryModal .carousel-item img{
    width:100%;
    max-height:85vh;
    object-fit:contain !important;
    background:#000;
}

#imageGalleryModal .btn-close{
    filter: invert(1);
    opacity: 1;
}
#imageGalleryModal .modal-header{
    background:#000;
}

#imageGalleryModal .modal-title{
    color:#fff;
    font-size:24px;
    font-weight:600;
}

#imageGalleryModal .btn-close{
    filter:invert(1);
}

/* =========================
   SECTION HEADINGS
========================= */

.section-title{
    display:inline-block;
    padding:12px 30px;
    border-radius:50px;
    background:linear-gradient(135deg,#0d6efd,#00c6ff);
    color:#fff;
    font-weight:700;
    font-size:2rem;
    box-shadow:0 5px 15px rgba(13,110,253,0.25);
    margin-bottom:30px;
}

/* Center Alignment */
.section-title.text-center{
    display:inline-block;
}

/* Section Title Container */
section .container > .section-title{
    position:relative;
}

#imageGalleryModal .modal-header,
#videoModal .modal-header{
    background:linear-gradient(135deg,#0d6efd,#00c6ff);
    color:#fff;
    border:none;
}

#imageGalleryModal .modal-title,
#videoModal .modal-title{
    color:#fff;
    font-weight:700;
    font-size:1.4rem;
}

#imageGalleryModal .btn-close,
#videoModal .btn-close{
    filter:invert(1);
}

.card h4,
.card h5{
    color:#0b3d91;
    font-weight:700;
}

.section-title{
    position:relative;
    display:inline-block;
    color:#0b3d91;
    font-size:2rem;
    font-weight:700;
    padding-bottom:12px;
}

.section-title::after{
    content:'';
    position:absolute;
    left:50%;
    transform:translateX(-50%);
    bottom:0;
    width:80px;
    height:4px;
    border-radius:10px;
    background:linear-gradient(90deg,#0d6efd,#00c6ff);
}
/* =========================
   MODAL IMAGE VIEW
========================= */

.modal-content{
    border-radius:15px;
    overflow:hidden;
}

.modal-body{
    background:#000;
    padding:0;
}

.modal-body img{
    width:100%;
    height:85vh;
    object-fit:contain;
    background:#000;
}

/* =========================
   WHATSAPP BUTTON
========================= */

.whatsapp-btn{
    position:fixed;
    bottom:20px;
    right:20px;
    background:#25D366;
    color:white;
    padding:12px 20px;
    text-decoration:none;
    border-radius:30px;
    font-weight:bold;
    z-index:999;
    transition:0.3s;
}

.whatsapp-btn:hover{
    background:#1ebe5d;
    color:white;
}

/* =========================
   FOOTER
========================= */

footer{
    margin-top:0;
}

footer p{
    margin-bottom:5px;
}

/* =========================
   MOBILE RESPONSIVE
========================= */

@media(max-width:992px){

    .hero-overlay h1{
        font-size:3rem;
    }

    .hero-overlay p{
        font-size:1.1rem;
    }

    .gallery-img{
        height:260px;
    }
}

@media(max-width:768px){

    .hero{
        height:85vh;
    }

    .carousel-item{
        height:85vh;
    }

    .hero-bg{
        height:85vh;
    }

    .hero-overlay{
        height:85vh;
        padding:20px;
    }

    .hero-overlay h1{
        font-size:2.3rem;
    }

    .hero-overlay p{
        font-size:1rem;
    }

    .section-padding{
        padding:60px 0;
    }

    .gallery-img{
        height:240px;
    }

    .modal-body img{
        height:65vh;
    }
}

@media(max-width:576px){

    .hero-overlay h1{
        font-size:1.9rem;
    }

    .hero-overlay p{
        font-size:0.95rem;
    }

    .gallery-img{
        height:220px;
    }

    .modal-body img{
        height:55vh;
    }

    .btn{
        padding:10px 22px;
        font-size:14px;
    }
}

/*Mechinery*/
#machinery .table th{
    text-align:center;
    vertical-align:middle;
}

#machinery .table td{
    vertical-align:middle;
}

#machinery .card{
    border:none;
    border-radius:15px;
}

#machinery .table{
    margin-bottom:0;
}

.service-img{
    width:100%;
    height:220px;
    object-fit:cover;
    border-radius:8px;
}

.gallery-img {
    width: 100%;
    height: 220px;
    object-fit: cover;
    border-radius: 8px;
}
/* =========================
   SERVICES
========================= */

#services .card{
    border:none;
    border-radius:15px;
    box-shadow:0 0 15px rgba(0,0,0,0.10);
    transition:all 0.3s ease;
    overflow:hidden;
}

#services .card:hover{
    transform:translateY(-6px);
    box-shadow:0 10px 25px rgba(0,0,0,0.15);
}

.service-img{
    width:100%;
    height:250px;
    object-fit:cover;
    object-position:center;
    border-radius:10px;
}

/* Title Alignment */
#services .card h4{
    min-height:60px;
    display:flex;
    align-items:center;
    justify-content:center;
    text-align:center;
    font-size:1.25rem;
    font-weight:700;
    margin-top:10px;
    margin-bottom:15px;
}

/* Text Alignment */
#services .card p{
    min-height:120px;
    display:flex;
    align-items:flex-start;
    justify-content:center;
    text-align:center;
    line-height:1.6;
    margin-bottom:0;
    color:#555;
}

/* Responsive */
@media(max-width:768px){

    .service-img{
        height:220px;
    }

    #services .card h4,
    #services .card p{
        min-height:auto;
    }

}

/* =========================
   INFRASTRUCTURE & MACHINERY
========================= */

#machinery .card{
    border:none;
    border-radius:15px;
    overflow:hidden;
}

#machinery .table{
    margin-bottom:0;
}

#machinery .table th{
    text-align:center;
    vertical-align:middle;
    font-weight:600;
}

#machinery .table td{
    vertical-align:middle;
    padding:14px;
}

#machinery .table tbody tr:hover{
    background:#f8f9fa;
}

#machinery .table td:first-child{
    text-align:center;
    font-weight:600;
}

@media(max-width:768px){

    #machinery .table{
        font-size:14px;
    }

    #machinery .table td,
    #machinery .table th{
        padding:10px;
    }

}

.machinery-img{
    width:100%;
    height:220px;
    object-fit:cover;
    border-radius:8px;
}

#infrastructure .card h5{
    min-height:55px;
    font-weight:600;
    display:flex;
    align-items:center;
    justify-content:center;
}

#infrastructure .card p{
    min-height:60px;
    line-height:1.5;
}

/* =========================
   INFRASTRUCTURE & MACHINERY
========================= */

.machinery-img{
    width:100%;
    height:220px;
    object-fit:cover;
    object-position:center;
    border-radius:10px;
}

#infrastructure .card{
    border:none;
    border-radius:15px;
    box-shadow:0 0 15px rgba(0,0,0,0.10);
    transition:0.3s;
}

#infrastructure .card:hover{
    transform:translateY(-6px);
    box-shadow:0 10px 25px rgba(0,0,0,0.15);
}

#infrastructure .card h5{
    min-height:60px;
    display:flex;
    align-items:center;
    justify-content:center;
    text-align:center;
    font-weight:600;
    margin-bottom:10px;
}

#infrastructure .card p{
    min-height:70px;
    line-height:1.5;
}

@media(max-width:768px){

    .machinery-img{
        height:200px;
    }

    #infrastructure .card h5,
    #infrastructure .card p{
        min-height:auto;
    }

}

#aboutSlider{
    border-radius:15px;
    overflow:hidden;
    box-shadow:0 0 15px rgba(0,0,0,0.1);
}

.about-img{
    width:100%;
    height:450px;
    object-fit:cover;
}

.about-img{
    height:500px;
}

.carousel-item{
    height:500px;
}

.carousel-inner{
    height:500px;
}